﻿/**
* Test Circle 1
* @author nutsu
* @version 0.1
*/

package  {

	import flash.display.Sprite;
	
	public class TestCircle1 extends Sprite{
		
		private var c0:Circle;
		private var c1:Circle;
		
		public function TestCircle1(){
			super();
			
			//円クラス
			c0 = new Circle( 80 , 130, stage.stageHeight*0.5 );
			c1 = new Circle( 120 , 260, stage.stageHeight*0.5 );
			
			//描画
			draw();
		}
		
		private function draw():void{
			//交点
			var ps:Array = c0.intersectionByCircle( c1 );
			//描画
			if( ps.length>0 ){
				for( var i:int=0 ; i<ps.length ; i++ ){
					graphics.beginFill( 0xffffff );
					graphics.drawCircle( ps[i].x , ps[i].y , 3 );
					graphics.endFill();
				}
			}
			graphics.lineStyle( 0, 0xffffff, 0.5 );
			c0.draw( graphics );
			c1.draw( graphics );
		}
	}
	
}
